#!/util/tcl/bin/wish -f
#
# This script creates and manages a timer
#
# Execute it in either of two ways:
#    1) wish -f timer.tcl
#    2) twash timer.tcl

proc Update {} {
    global seconds hundredths
    .counter config -text [format "%d.%02d" $seconds $hundredths]
}

proc tick {} {
    global seconds hundredths stopped
    if $stopped return
    after 50 tick
    set hundredths [expr $hundredths+5]
    if {$hundredths >= 100} {
	set hundredths 0
	set seconds [expr $seconds+1]
    }
    Update
}

proc Start {} {
    global stopped
    if $stopped {
	set stopped 0
        .stop config -text Stop -command Stop
	tick
    }
}

proc Reset {} {
    global seconds hundredths stopped
    set seconds 0
    set hundredths 0
    set stopped 1
    Update
}

proc Stop {} {
    global stopped
    set stopped 1
    .stop config -text Reset -command Reset
}

label .counter -text 0.00 -relief raised -width 10
pack .counter -side bottom -fill both

button .start -text Start -command Start
pack .start -side left -fill both -expand yes

button .stop -text Reset -command Reset
pack .stop -side left -fill both -expand yes

bind . <Control-c> {destroy .;exit}
bind . <Control-q> {destroy .;exit}

Reset

focus .
