/*
 * tclmacros.c --
 *
 *    This file encapsulates calls to all tcl.h macro functions into
 *    C function calls.  These can then be called from Ada.  This
 *    avoids having to translate the macro.
 */

#include "tcl.h"
#include <malloc.h>

int Tcl_CallDStringLength (dsPtr)
   register Tcl_DString *dsPtr;
{
   return Tcl_DStringLength (dsPtr);
}

char * Tcl_CallDStringValue (dsPtr)
   register Tcl_DString *dsPtr;
{
   return Tcl_DStringValue (dsPtr);
}

void Tcl_CallFreeResult (interp)
   register Tcl_Interp *interp;
{
   Tcl_FreeResult (interp);
}

ClientData Tcl_CallGetHashValue (h)
   register Tcl_HashEntry *h;
{
   return Tcl_GetHashValue (h);
}

void Tcl_CallSetHashValue (h, value)
   register Tcl_HashEntry *h;
   register ClientData value;
{
   Tcl_SetHashValue (h, value);
}

char *Tcl_CallGetHashKey (tablePtr, h)
   register Tcl_HashTable *tablePtr;
   register Tcl_HashEntry *h;
{
   return Tcl_GetHashKey (tablePtr, h);
}

Tcl_HashEntry *Tcl_CallFindHashEntry (tablePtr, key)
   register Tcl_HashTable *tablePtr;
   register char          *key;
{
   return Tcl_FindHashEntry (tablePtr, key);
}

Tcl_HashEntry *Tcl_CallCreateHashEntry (tablePtr, key, newPtr)
   register Tcl_HashTable *tablePtr;
   register char          *key;
   register int           *newPtr;
{
   return Tcl_CreateHashEntry (tablePtr, key, newPtr);
}

char *Tcl_GetResult (interp)
   register Tcl_Interp *interp;
{
   return interp->result;
}

int Tcl_GetErrorLine (interp)
   register Tcl_Interp *interp;
{
   return interp->errorLine;
}

